package com.bohuikeji.frame.module.admin.entity.configure;

import com.bohuikeji.frame.module.admin.annotation.TableNewField;

/**
 * 查看及编辑配置
 * @author 10552
 */
public class EditAn extends BaseInputAn{
    public static EditAn getInstance(TableNewField newField){
        if(newField==null){return null;}
        EditAn editAn=new EditAn(newField);
        return editAn;
    }
    public EditAn(){}
    public EditAn(TableNewField newField){
        this.show=newField.show();
        this.disable=newField.edit();
        this.regEx=newField.limit();
        this.block=newField.block().getName();
        this.option=newField.options();
        this.required=newField.required();
    }
}
